package com.yihu.hos.system.dao.intf;

import com.yihu.hos.web.framework.dao.XSQLGeneralDAO;
import com.yihu.hos.web.framework.model.Result;
import com.yihu.hos.system.model.SystemDict;

import java.util.Map;

/**
 * Created by chenweida on 2016/1/20.
 */
public interface IDictDao extends XSQLGeneralDAO {
    Result getDictList(Map<String, Object> params) throws Exception;

    SystemDict getDictItemByCodeWithOutId(String code, String id) throws Exception;

    SystemDict getDictItemByCode(String code) throws Exception;

    void delDictItemByDictName(String dictName) throws Exception;
}
